import { defineNuxtConfig } from 'nuxt'
import fs from 'fs'
const packageJson = fs.readFileSync('./package.json', 'utf-8')
const version = JSON.parse(packageJson).version || 0

export default defineNuxtConfig({
  ssr: false,
  srcDir: 'src/',
  target: 'static',
  modules: [
    '@nuxtjs/proxy',
  ],
  buildModules: [
    '@pinia/nuxt'
  ],
  publicRuntimeConfig: {
    serverBaseUrl: '/',
    version,
  },
  proxy: {
    '/api/': 'http://localhost:32039',
  }
})
